from django import forms

class ExportOptionsForm(forms.Form):
    size_dimension = forms.BooleanField(
        required=False,
        label="Size Dimension",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    grade = forms.BooleanField(
        required=False,
        label="Grade",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    wb = forms.BooleanField(
        required=False,
        label="WB",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    fg_weight = forms.BooleanField(
        required=False,
        label="FG Weight",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    centering = forms.BooleanField(
        required=False,
        label="Centering",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    ring_test = forms.BooleanField(
        required=False,
        label="Ring Test",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    rotate = forms.BooleanField(
        required=False,
        label="Rotate",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
    final_judge = forms.BooleanField(
        required=False,
        label="Final Judge",
        widget=forms.CheckboxInput(attrs={"class": "rounded"})
    )
